## PeonyLocationWidgetProvider

PeonyLocationWidgetProvider — Interface to provide additional location widgets

## Functions

GtkWidget * | peony_location_widget_provider_get_widget ()

## Types and Values

| PeonyLocationWidgetProvider
struct | PeonyLocationWidgetProviderIface

## Object Hierarchy

        GInterface
        ╰── PeonyLocationWidgetProvider

## Prerequisites

PeonyLocationWidgetProvider requires GObject.

## Includes

    #include <libpeony-extension/peony-location-widget-provider.h>

## Description

PeonyLocationWidgetProvider allows extension to provide additional location widgets in the file manager views.

## Functions

### peony_location_widget_provider_get_widget ()

    GtkWidget *
    peony_location_widget_provider_get_widget
                                   (PeonyLocationWidgetProvider *provider,
                                    const char *uri,
                                    GtkWidget *window);

#### Parameters

provider | a PeonyLocationWidgetProvider |
uri | the URI of the location |
window | parent GtkWindow |

#### Returns

the location widget for `provider` at `uri` .

[transfer none]

## Types and Values

### PeonyLocationWidgetProvider

    typedef struct _PeonyLocationWidgetProvider PeonyLocationWidgetProvider;

### struct PeonyLocationWidgetProviderIface

    struct PeonyLocationWidgetProviderIface {
        GTypeInterface g_iface;

        GtkWidget *(*get_widget) (PeonyLocationWidgetProvider *provider,
                                  const char                 *uri,
                                  GtkWidget                  *window);
    };

Interface for extensions to provide additional location widgets.

#### Members

`get_widget` () | Returns a GtkWidget. See `peony_location_widget_provider_get_widget()` for details. |